@charset "UTF-8";

@import "settings.css";

.label_req {
  color: var(--color-green);
  font-size: 14px;
}
.valid-err {
  display: block;
  margin-top: 10px;
  color: #e00000;
  line-height: 1;
}

.contact_inr {
  max-width: 650px;
}

.contact_step_list {
  max-width: 380px;
  margin: auto;
}
.contact_step_list .contact_step_item {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 110px;
  height: calc(1.6rem * 1.875);
  color: var(--color-green);
  text-align: center;
  background-color: var(--color-reverse);
  border: 1px solid var(--color-green);
  border-radius: 100px;
}
.contact_step_list .contact_step_item.current {
  color: var(--color-reverse);
  background-color: var(--color-green);
  border: 1px solid var(--color-green);
}
.contact_step_list .contact_step_item + .contact_step_item {
  margin-left: 30px;
}
.contact_step_list .contact_step_item:after {
  width: calc(1.6rem * 0.5);
  height: calc(1.6rem * 0.5);
  right: calc(1.6rem * 1.125 * -1);
  top: 0;
  bottom: 0;
  margin: auto;
  border-top: 1px solid var(--color-green);
  border-right: 1px solid var(--color-green);
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}
.contact_step p {
  text-align: center;
}
.contact_step .label_req {
  position: static;
  margin-right: 10px;
}

.hf-parts-list {
  border-top: 1px dotted #999;
}
.hf-parts-item {
  position: relative;
  padding-top: 30px;
}
.hf-parts-title {
  font-size: 18px;
}
.hf-parts-title-detail {
  display: block;
}
.hf-parts-data {
  width: 100%;
  margin-top: 5px;
}
.hf-parts-data input {
  font-size: 18px;
}
.hf-parts-data input[type="text"],
.hf-parts-data select {
  width: 100%;
  font-size: 18px;
  border: 1px solid var(--color-border02);
  border-radius: 0;
  padding: calc(1.6rem * 0.875) calc(1.6rem * 1);
  font-weight: 300;
  line-height: 1;
  border-radius: 5px;
  overflow: hidden;
}
.hf-parts-data textarea {
  width: 100%;
  height: 150px;
  padding: calc(1.6rem * 0.875) calc(1.6rem * 1);
  color: var(--color-text);
  font-size: 18px;
  border: 1px solid var(--color-border02);
  background-color: var(--color-reverse);
  font-weight: 300;
  line-height: 1.4;
  border-radius: 5px;
  overflow: hidden;
}
.hf-parts-data label.u_ic:after {
  background-image: url(../img/common/select_arrow.svg);
  width: calc(1.6rem * 0.5);
  height: calc(1.6rem * 0.5);
  top: 0;
  bottom: 0;
  margin: auto;
  right: calc(1.6rem * 1);
  pointer-events: none;
}

.hf-parts-data select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  padding: calc(1.6rem * 0.875) calc(1.6rem * 2.25) calc(1.6rem * 0.875) calc(1.6rem * 1);
  line-height: 1.4;
}
.hf-parts-data select::-ms-expand {
  display: none;
}

.hf-parts-data label {
  display: block;
  font-size: 18px;
  border-radius: 5px;
  overflow: hidden;
}

.hf-mail_note {
  padding-left: 20px;
  margin: 10px 0;
}
.hf-mail_note::before {
  width: 6px;
  height: 6px;
  top: 0;
  bottom: 0;
  left: 0;
  border-top: 1px solid var(--color-text);
  border-right: 1px solid var(--color-text);
  -webkit-transform: rotate(135deg);
  transform: rotate(135deg);
}

.hf-postal-code .post_ico {
  display: inline-block;
  margin-right: 20px;
  font-size: 18px;
}

.hf-tel input[type="text"],
.hf-postal-code input[type="text"] {
  max-width: 160px;
}

.hf-content {
  line-height: 0;
}
.hf-agree-privacyBox {
  display: block;
  height: 120px;
  padding: 15px;
  margin-bottom: 15px;
  font-size: 13px;
  border: 1px solid var(--color-border02);
  overflow-y: scroll;
}

.data_wrap {
  width: 100%;
}
.fileup_preview {
  position: relative;
  width: 100%;
  padding: 0 15px;
  -o-object-fit: cover;
  object-fit: cover;
  border: 1px solid var(--color-border02);
  border-radius: 5px;
  overflow: hidden;
}
.fileup_preview + .fileup_preview {
  margin-top: 10px;
}
.fileup_preview_inr .fileup_preview_img {
  position: relative;
  display: inline-block;
  overflow: visible;
}
.fileup_preview_inr .fileup_name,
.fileup_preview_inr .fileup_preview_img {
  display: none;
}
.fileup_preview_inr .fileup_name {
  width: 100%;
  padding-top: 20px;
  font-size: 16px;
  line-height: 1.6;
}

.fileup_preview_inr .fileup_txtbox {
  margin-top: 40px;
  padding-bottom: 40px;
}
.fileup_preview_inr .fileup_txt {
  position: relative;
  color: #c7c7c7;
  font-size: 16px;
  text-align: center;
  line-height: 2.5;
}
.fileup_preview_inr .fileup_txt::before {
  content: "";
  display: block;
  width: 58px;
  height: 51px;
  margin-inline: auto;
  margin-bottom: 10px;
  background-image: url("../img/common/icon_download.svg");
}
.fileup_btn input {
  display: none;
}
.fileup_btn label {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 140px;
  height: 40px;
  margin-top: 15px;
  margin-inline: auto;
  font-family: var(--font-jp), sans-serif;
  font-size: 14px;
  line-height: 2;
  border: 1px solid #e3e3e3;
  background: #efefef;
  border-radius: 50px;
  text-align: center;
  cursor: pointer;
  transition: all 0.2s;
}
.fileup_btn label:hover {
  background-color: var(--color-reverse);
}
.fileup_preview_inr .valid-err {
  position: absolute;
  display: block;
  left: 0;
  right: 0;
  bottom: 0;
  margin: 10px auto;
  text-align: center;
}

.fileup_delete {
  position: absolute;
  display: block;
  top: -10px;
  right: -10px;
  width: 1.375em;
  height: 1.375em;
  border-radius: 50%;
  background-color: #efefef;
  z-index: 5;
  cursor: pointer;
}
.fileup_delete::before,
.fileup_delete::after {
  content: "";
  position: absolute;
  width: 2px;
  height: 0.625em;
  top: 50%;
  left: 50%;
  margin: auto;
  border-radius: 50px;
  background: var(--color-text-grey);
}
.fileup_delete::before {
  -webkit-transform: translate(-50%, -50%) rotate(45deg);
  transform: translate(-50%, -50%) rotate(45deg);
}
.fileup_delete::after {
  -webkit-transform: translate(-50%, -50%) rotate(-45deg);
  transform: translate(-50%, -50%) rotate(-45deg);
}
.fileup_name .fileup_delete {
  position: relative;
  display: inline-block;
  top: -1px;
  bottom: 0;
  right: auto;
  margin-left: 0.625em;
  vertical-align: middle;
}

.fileup_delete__itm {
  position: absolute;
  display: block;
  width: 30px;
  height: 30px;
  margin: auto;
  top: 0;
  bottom: 0;
  left: 27px;
  border-radius: 50%;
  background-color: var(--color-main);
  z-index: 5;
  cursor: pointer;
}
.fileup_delete__itm::before {
  content: "";
  position: absolute;
  width: 12px;
  height: 2px;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  background: var(--color-reverse);
}

.fileup_add__itm {
  display: block;
  width: 150px;
  padding: 6px 0;
  margin: 15px auto;
  color: var(--color-reverse);
  font-family: var(--font-jp), sans-serif;
  font-size: 1.3rem;
  border: 1px solid var(--color-main);
  background: var(--color-main);
  border-radius: 5px;
  text-align: center;
  cursor: pointer;
  transition: all 0.2s;
}
.fileup_add__itm:hover {
  color: var(--color-main);
  background-color: var(--color-reverse);
}
.fileup_add__itm .ic_add {
  display: inline-block;
  margin-left: 10px;
  width: 17px;
  height: 17px;
  border: 1px solid var(--color-reverse);
  border-radius: 50%;
  vertical-align: middle;
  transition: all 0.2s;
}
.fileup_add__itm .ic_add::before,
.fileup_add__itm .ic_add::after {
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: var(--color-reverse);
  transition: all 0.2s;
}
.fileup_add__itm .ic_add::before {
  width: 1px;
  height: 9px;
}
.fileup_add__itm .ic_add::after {
  width: 9px;
  height: 1px;
}
.fileup_add__itm:hover .ic_add {
  border-color: var(--color-main);
}
.fileup_add__itm:hover .ic_add::before,
.fileup_add__itm:hover .ic_add::after {
  background: var(--color-main);
}

@media (max-width: 576px) {
  .fileup_btn {
    margin-top: 10px;
  }
}

/* Button */
.hf-button {
  cursor: pointer;
}
.hf-button input,
.hf-button button {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 100%;
  height: 100%;
  padding: calc(1.6rem * 1) 0;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  color: var(--color-reverse);
  border: none;
  border-radius: 50px;
  transition: color 0.2s, background 0.2s;
  -webkit-transition: color 0.2s, background 0.2s;
  cursor: pointer;
}
.hf-button.hf-send-button {
  width: calc(1.6rem * 12.5);
  margin-left: calc(1.6rem * 1.25);
  background: var(--color-main);
  border: 1px solid var(--color-main);
  border-radius: 50px;
}
.hf-button.hf-send-button input {
  background: var(--color-main);
}
.hf-button.hf-send-button:after {
  width: calc(1.6rem * 0.5);
  height: calc(1.6rem * 0.5);
  top: 0;
  bottom: 0;
  right: calc(1.6rem * 1.25);
  border-top: 1px solid var(--color-reverse);
  border-right: 1px solid var(--color-reverse);
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}
.hf-button.hf-send-button:hover {
  background-color: var(--color-reverse);
  color: var(--color-main);
}
.hf-button.hf-send-button input:hover {
  color: var(--color-main);
  background-color: var(--color-reverse);
}
.hf-button.hf-send-button:hover:after {
  border-top: 1px solid var(--color-main);
  border-right: 1px solid var(--color-main);
}

.hf-button.hf-clear-button {
  width: calc(1.6rem * 6.25);
  background-color: var(--color-reverse);
  border: 1px solid var(--color-text-lightgrey);
  border-radius: 50px;
}
.hf-button.hf-clear-button input,
.hf-button.hf-clear-button button {
  color: var(--color-text-grey);
  background-color: var(--color-reverse);
}
.hf-button.hf-clear-button:hover {
  background-color: var(--color-text-lightgrey);
}
.hf-button.hf-clear-button input:hover,
.hf-button.hf-clear-button button:hover {
  background-color: var(--color-text-lightgrey);
}

.hf-parts-list_confirm {
  border-top: none;
}
.hf-parts-list_confirm .hf-parts-item {
  padding: calc(1.6rem * 1.25) 0;
}
.hf-parts-list_confirm .hf-parts-item + .hf-parts-item {
  border-top: 1px dotted #999;
}
.hf-parts-list_confirm .hf-parts-title {
  width: 200px;
  flex-shrink: 0;
  font-size: 1.8rem;
}
.hf-parts-list_confirm .hf-parts-data {
  margin-top: 0;
}

@media (max-width: 896px) {
  .hf-parts-title,
  .hf-parts-data input,
  .hf-parts-data input[type="text"],
  .hf-parts-data select,
  .hf-parts-data textarea,
  .hf-parts-data label,
  .hf-postal-code .post_ico {
    font-size: 16px;
  }

  .hf-parts-list_confirm .hf-parts-title {
    font-size: 1.6rem;
  }
}

@media (max-width: 576px) {
  .contact_step_list .contact_step_item + .contact_step_item {
    margin-left: calc(1.6rem * 1.875);
  }
}
